<?php
	/*-- Amazon ECS4.0 Version 2005-03-23 --*/
	define("ASSOCIATE_TAG", "-22");
	define("SUBSCRIPTION_ID", "");
	define("STYLE", "http://example.com/ecs/ecs.xsl");

	$contents = "";

	$url = "http://webservices.amazon.co.jp/onca/xml"
		. "?Service=AWSECommerceService"
		. "&AssociateTag=" . ASSOCIATE_TAG
		. "&ContentType=text/xml"
		. "&ResponseGroup=Images,ItemAttributes,OfferFull"
		. "&Style=" . STYLE
		. "&SubscriptionId=" . SUBSCRIPTION_ID
		. "&Version=2005-03-23";

	$asin = $_REQUEST["asin"];
	$keywords = $_REQUEST["keywords"];

	if (isset($asin) && "" != $asin && ereg("^[0-9a-zA-Z]+$", $asin)) {	// ASIN検索
		$url .= "&Operation=ItemLookup"
			. "&IdType=ASIN"
			. "&ItemId=" . $asin;

		$contents = file_get_contents($url, "r");
	} else if (isset($keywords) && "" != $keywords) {					// キーワード検索
		$url .= "&Operation=ItemSearch";

		$search_index = $_REQUEST["searchIndex"];
		if (is_null($search_index) || "" == $search_index) {
			$search_index = "Blended";
		} else {
			if ("Blended" != $search_index) {
				// "Blended"以外ならタイトルでソートできる
				$url .= "&Sort=titlerank";

				// "Blended"以外ならページを指定できる
				$item_page = $_REQUEST["itemPage"];
				if (is_null($item_page) || "" == $item_page || !ereg("^[0-9]+$", $item_page)) {
					$item_page = "1";
				}
				$url .= "&ItemPage=" . $item_page;
			}
		}
		$url .= "&SearchIndex=" . $search_index
			. "&Keywords=" . mb_convert_encoding($keywords, "UTF-8", "auto");

		$contents = file_get_contents($url, "r");
	} else {
		$contents = "<span>適切なパラメータを指定してください</span>";
	}

	// 改行とタブを削除
	$contents = str_replace(array("\r", "\n", "\t"), "", $contents);

	$js = $_REQUEST["js"];
	if (isset($js) && "true" == $js) {
		header("Content-Type: text/javascript; charset=UTF-8");
		$contents = "document.write('" . $contents . "');";
		print($contents);
	} else {
		header("Content-Type: text/xml; charset=UTF-8");
		print($contents);
	}
?>
